# patch

## HTTP Request

```http
PATCH /api/v1/notebooks/:notebookReference
```

## Path parameters

| Parameter          |                                                                                                                         |
| ------------------ | ----------------------------------------------------------------------------------------------------------------------- |
| transformReference | A qualified reference to the notebook. See [referencing resources](/api/referencing-resources.md) for more information. |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Request body

Provide a JSON object with information about the notebook.

| Property name   | Type       | Description                                                                                         |
| --------------- | ---------- | --------------------------------------------------------------------------------------------------- |
| **name**        | **string** | The updated name of the notebook. Must be unique (non-word characters ignored) within the workflow. |
| **sourceTable** | **string** | The qualified reference for the notebook's new source table.                                        |

## Authorization

Edit access to the corresponding workflow is required. Your access token must have the following scope:

* workflow\.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

Returns the JSON-encoded "get" representation of a [notebook resource](/api/resource-definitions/notebook.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/notebooks/patch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
